var Pen=(function() {
    //var p = NEJ.P("nej.u");
    var p={};
    var nG3x = 8;
    var bde3x = function(hk1x, cC0x) {
        return hk1x << cC0x | hk1x >>> 32 - cC0x
    };
    var mF2x = function(x, y) {
        var bFm2x = (x & 65535) + (y & 65535)
          , cwI2x = (x >> 16) + (y >> 16) + (bFm2x >> 16);
        return cwI2x << 16 | bFm2x & 65535
    };
    var cwH2x = function(t, b, c, d) {
        if (t < 20)
            return b & c | ~b & d;
        if (t < 40)
            return b ^ c ^ d;
        if (t < 60)
            return b & c | b & d | c & d;
        return b ^ c ^ d
    };
    var cwG2x = function(t) {
        if (t < 20)
            return 1518500249;
        if (t < 40)
            return 1859775393;
        if (t < 60)
            return -1894007588;
        return -899497514
    };
    var xe5j = function() {
        var GO8G = function(i) {
            return i % 32
        }
          , GN8F = function(i) {
            return 32 - nG3x - i % 32
        };
        return function(cR0x, GM8E) {
            var WK2x = []
              , lW2x = (1 << nG3x) - 1
              , mG2x = GM8E ? GO8G : GN8F;
            for (var i = 0, l = cR0x.length * nG3x; i < l; i += nG3x)
                WK2x[i >> 5] |= (cR0x.charCodeAt(i / nG3x) & lW2x) << mG2x(i);
            return WK2x
        }
    }();
    var WU2x = function() {
        var bFG2x = "0123456789abcdef"
          , GO8G = function(i) {
            return i % 4
        }
          , GN8F = function(i) {
            return 3 - i % 4
        };
        return function(iV1x, GM8E) {
            var bv9m = []
              , mG2x = GM8E ? GO8G : GN8F;
            for (var i = 0, l = iV1x.length * 4; i < l; i++) {
                bv9m.push(bFG2x.charAt(iV1x[i >> 2] >> mG2x(i) * 8 + 4 & 15) + bFG2x.charAt(iV1x[i >> 2] >> mG2x(i) * 8 & 15))
            }
            return bv9m.join("")
        }
    }();
    var ber4v = function() {
        var GO8G = function(i) {
            return i % 32
        }
          , GN8F = function(i) {
            return 32 - nG3x - i % 32
        };
        return function(WK2x, GM8E) {
            var bv9m = []
              , lW2x = (1 << nG3x) - 1
              , mG2x = GM8E ? GO8G : GN8F;
            for (var i = 0, l = WK2x.length * 32; i < l; i += nG3x)
                bv9m.push(String.fromCharCode(WK2x[i >> 5] >>> mG2x(i) & lW2x));
            return bv9m.join("")
        }
    }();
    var Nc9T = function() {
        var cwF2x = "="
          , cwE2x = "ABCDEFGHIJKLMNOPQRSTUVWXYZabcdefghijklmnopqrstuvwxyz0123456789+/"
          , GO8G = function(i) {
            return i % 4
        }
          , GN8F = function(i) {
            return 3 - i % 4
        };
        return function(iV1x, GM8E) {
            var bv9m = []
              , mG2x = GM8E ? GO8G : GN8F;
            for (var i = 0, bFN2x; i < iV1x.length * 4; i += 3) {
                bFN2x = (iV1x[i >> 2] >> 8 * mG2x(i) & 255) << 16 | (iV1x[i + 1 >> 2] >> 8 * mG2x(i + 1) & 255) << 8 | iV1x[i + 2 >> 2] >> 8 * mG2x(i + 2) & 255;
                for (var j = 0; j < 4; j++)
                    bv9m.push(i * 8 + j * 6 > iV1x.length * 32 ? cwF2x : cwE2x.charAt(bFN2x >> 6 * (3 - j) & 63))
            }
            return bv9m.join("")
        }
    }();
    var beC4G = function(q, a, b, x, s, t) {
        return mF2x(bde3x(mF2x(mF2x(a, q), mF2x(x, t)), s), b)
    };
    var pP3x = function(a, b, c, d, x, s, t) {
        return beC4G(b & c | ~b & d, a, b, x, s, t)
    };
    var ph3x = function(a, b, c, d, x, s, t) {
        return beC4G(b & d | c & ~d, a, b, x, s, t)
    };
    var pN3x = function(a, b, c, d, x, s, t) {
        return beC4G(b ^ c ^ d, a, b, x, s, t)
    };
    var pK3x = function(a, b, c, d, x, s, t) {
        return beC4G(c ^ (b | ~d), a, b, x, s, t)
    };
    var KH9y = function(x, y) {
        x[y >> 5] |= 128 << y % 32;
        x[(y + 64 >>> 9 << 4) + 14] = y;
        var a = 1732584193
          , b = -271733879
          , c = -1732584194
          , d = 271733878;
        for (var i = 0, l = x.length, bGe2x, bGf2x, bGg2x, bGh2x; i < l; i += 16) {
            bGe2x = a;
            bGf2x = b;
            bGg2x = c;
            bGh2x = d;
            a = pP3x(a, b, c, d, x[i + 0], 7, -680876936);
            d = pP3x(d, a, b, c, x[i + 1], 12, -389564586);
            c = pP3x(c, d, a, b, x[i + 2], 17, 606105819);
            b = pP3x(b, c, d, a, x[i + 3], 22, -1044525330);
            a = pP3x(a, b, c, d, x[i + 4], 7, -176418897);
            d = pP3x(d, a, b, c, x[i + 5], 12, 1200080426);
            c = pP3x(c, d, a, b, x[i + 6], 17, -1473231341);
            b = pP3x(b, c, d, a, x[i + 7], 22, -45705983);
            a = pP3x(a, b, c, d, x[i + 8], 7, 1770035416);
            d = pP3x(d, a, b, c, x[i + 9], 12, -1958414417);
            c = pP3x(c, d, a, b, x[i + 10], 17, -42063);
            b = pP3x(b, c, d, a, x[i + 11], 22, -1990404162);
            a = pP3x(a, b, c, d, x[i + 12], 7, 1804603682);
            d = pP3x(d, a, b, c, x[i + 13], 12, -40341101);
            c = pP3x(c, d, a, b, x[i + 14], 17, -1502002290);
            b = pP3x(b, c, d, a, x[i + 15], 22, 1236535329);
            a = ph3x(a, b, c, d, x[i + 1], 5, -165796510);
            d = ph3x(d, a, b, c, x[i + 6], 9, -1069501632);
            c = ph3x(c, d, a, b, x[i + 11], 14, 643717713);
            b = ph3x(b, c, d, a, x[i + 0], 20, -373897302);
            a = ph3x(a, b, c, d, x[i + 5], 5, -701558691);
            d = ph3x(d, a, b, c, x[i + 10], 9, 38016083);
            c = ph3x(c, d, a, b, x[i + 15], 14, -660478335);
            b = ph3x(b, c, d, a, x[i + 4], 20, -405537848);
            a = ph3x(a, b, c, d, x[i + 9], 5, 568446438);
            d = ph3x(d, a, b, c, x[i + 14], 9, -1019803690);
            c = ph3x(c, d, a, b, x[i + 3], 14, -187363961);
            b = ph3x(b, c, d, a, x[i + 8], 20, 1163531501);
            a = ph3x(a, b, c, d, x[i + 13], 5, -1444681467);
            d = ph3x(d, a, b, c, x[i + 2], 9, -51403784);
            c = ph3x(c, d, a, b, x[i + 7], 14, 1735328473);
            b = ph3x(b, c, d, a, x[i + 12], 20, -1926607734);
            a = pN3x(a, b, c, d, x[i + 5], 4, -378558);
            d = pN3x(d, a, b, c, x[i + 8], 11, -2022574463);
            c = pN3x(c, d, a, b, x[i + 11], 16, 1839030562);
            b = pN3x(b, c, d, a, x[i + 14], 23, -35309556);
            a = pN3x(a, b, c, d, x[i + 1], 4, -1530992060);
            d = pN3x(d, a, b, c, x[i + 4], 11, 1272893353);
            c = pN3x(c, d, a, b, x[i + 7], 16, -155497632);
            b = pN3x(b, c, d, a, x[i + 10], 23, -1094730640);
            a = pN3x(a, b, c, d, x[i + 13], 4, 681279174);
            d = pN3x(d, a, b, c, x[i + 0], 11, -358537222);
            c = pN3x(c, d, a, b, x[i + 3], 16, -722521979);
            b = pN3x(b, c, d, a, x[i + 6], 23, 76029189);
            a = pN3x(a, b, c, d, x[i + 9], 4, -640364487);
            d = pN3x(d, a, b, c, x[i + 12], 11, -421815835);
            c = pN3x(c, d, a, b, x[i + 15], 16, 530742520);
            b = pN3x(b, c, d, a, x[i + 2], 23, -995338651);
            a = pK3x(a, b, c, d, x[i + 0], 6, -198630844);
            d = pK3x(d, a, b, c, x[i + 7], 10, 1126891415);
            c = pK3x(c, d, a, b, x[i + 14], 15, -1416354905);
            b = pK3x(b, c, d, a, x[i + 5], 21, -57434055);
            a = pK3x(a, b, c, d, x[i + 12], 6, 1700485571);
            d = pK3x(d, a, b, c, x[i + 3], 10, -1894986606);
            c = pK3x(c, d, a, b, x[i + 10], 15, -1051523);
            b = pK3x(b, c, d, a, x[i + 1], 21, -2054922799);
            a = pK3x(a, b, c, d, x[i + 8], 6, 1873313359);
            d = pK3x(d, a, b, c, x[i + 15], 10, -30611744);
            c = pK3x(c, d, a, b, x[i + 6], 15, -1560198380);
            b = pK3x(b, c, d, a, x[i + 13], 21, 1309151649);
            a = pK3x(a, b, c, d, x[i + 4], 6, -145523070);
            d = pK3x(d, a, b, c, x[i + 11], 10, -1120210379);
            c = pK3x(c, d, a, b, x[i + 2], 15, 718787259);
            b = pK3x(b, c, d, a, x[i + 9], 21, -343485551);
            a = mF2x(a, bGe2x);
            b = mF2x(b, bGf2x);
            c = mF2x(c, bGg2x);
            d = mF2x(d, bGh2x)
        }
        return [a, b, c, d]
    };
    var bkf6Z = function(K8C, i8a) {
        var xk5p = xe5j(K8C, !0);
        if (xk5p.length > 16)
            xk5p = KH9y(xk5p, K8C.length * nG3x);
        var Xy2x = Array(16)
          , XB2x = Array(16);
        for (var i = 0; i < 16; i++) {
            Xy2x[i] = xk5p[i] ^ 909522486;
            XB2x[i] = xk5p[i] ^ 1549556828
        }
        var cM0x = KH9y(Xy2x.concat(xe5j(i8a, !0)), 512 + i8a.length * nG3x);
        return KH9y(XB2x.concat(cM0x), 512 + 128)
    };
    var KI9z = function(x, bs9j) {
        x[bs9j >> 5] |= 128 << 24 - bs9j % 32;
        x[(bs9j + 64 >> 9 << 4) + 15] = bs9j;
        var w = Array(80)
          , a = 1732584193
          , b = -271733879
          , c = -1732584194
          , d = 271733878
          , e = -1009589776;
        for (var i = 0, l = x.length, bGr2x, bGt2x, bdo3x, bGu2x, bGv2x; i < l; i += 16) {
            bGr2x = a;
            bGt2x = b;
            bdo3x = c;
            bGu2x = d;
            bGv2x = e;
            for (var j = 0; j < 80; j++) {
                w[j] = j < 16 ? x[i + j] : bde3x(w[j - 3] ^ w[j - 8] ^ w[j - 14] ^ w[j - 16], 1);
                var t = mF2x(mF2x(bde3x(a, 5), cwH2x(j, b, c, d)), mF2x(mF2x(e, w[j]), cwG2x(j)));
                e = d;
                d = c;
                c = bde3x(b, 30);
                b = a;
                a = t
            }
            a = mF2x(a, bGr2x);
            b = mF2x(b, bGt2x);
            c = mF2x(c, bdo3x);
            d = mF2x(d, bGu2x);
            e = mF2x(e, bGv2x)
        }
        return [a, b, c, d, e]
    };
    var bld7W = function(K8C, i8a) {
        var xk5p = xe5j(K8C);
        if (xk5p.length > 16)
            xk5p = KI9z(xk5p, K8C.length * nG3x);
        var Xy2x = Array(16)
          , XB2x = Array(16);
        for (var i = 0; i < 16; i++) {
            Xy2x[i] = xk5p[i] ^ 909522486;
            XB2x[i] = xk5p[i] ^ 1549556828
        }
        var cM0x = KI9z(Xy2x.concat(xe5j(i8a)), 512 + i8a.length * nG3x);
        return KI9z(XB2x.concat(cM0x), 512 + 160)
    };
    p.cNL5Q = function(K8C, i8a) {
        return WU2x(bld7W(K8C, i8a))
    }
    ;
    p.cNQ5V = function(K8C, i8a) {
        return Nc9T(bld7W(K8C, i8a))
    }
    ;
    p.cNS5X = function(K8C, i8a) {
        return ber4v(bld7W(K8C, i8a))
    }
    ;
    p.cNT5Y = function(K8C, i8a) {
        return WU2x(bkf6Z(K8C, i8a), !0)
    }
    ;
    p.cNV5a = function(K8C, i8a) {
        return Nc9T(bkf6Z(K8C, i8a), !0)
    }
    ;
    p.cNX5c = function(K8C, i8a) {
        return ber4v(bkf6Z(K8C, i8a), !0)
    }
    ;
    p.cNY5d = function(i8a) {
        return WU2x(KI9z(xe5j(i8a), i8a.length * nG3x))
    }
    ;
    p.cNZ5e = function(i8a) {
        return Nc9T(KI9z(xe5j(i8a), i8a.length * nG3x))
    }
    ;
    p.cOa5f = function(i8a) {
        return ber4v(KI9z(xe5j(i8a), i8a.length * nG3x))
    }
    ;
    p.lz2x = function(i8a) {
        return WU2x(KH9y(xe5j(i8a, !0), i8a.length * nG3x), !0)
    }
    ;
    p.cOb5g = function(i8a) {
        return Nc9T(KH9y(xe5j(i8a, !0), i8a.length * nG3x), !0)
    }
    ;
    p.cOc5h = function(i8a) {
        return ber4v(KH9y(xe5j(i8a, !0), i8a.length * nG3x), !0)
    }
    ;
    p.cOd5i = function(i8a) {
        return WU2x(xe5j(i8a, !0), !0)
    }
    return p;
}
)();
function enCode(p){
    return Pen.lz2x(p);
}

